List all Monitors
curl --request GET \
--url https://api.alerty.ai/monitor \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alerty.ai/monitor"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alerty.ai/monitor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"type": "UP_TIME",
"resourceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "ACTIVE",
"status": "NO_DATA",
"priority": "NOT_DEFINED",
"recipients": [
{
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"integration": {
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"type": "SLACK",
"class": "NOTIFICATION",
"configuration": {
"teamId": "<string>",
"accessToken": "<string>",
"incomingWebhookURL": "<string>",
"channelID": "<string>"
}
},
"integrationOverride": {
"teamId": "<string>",
"accessToken": "<string>",
"incomingWebhookURL": "<string>",
"channelID": "<string>"
}
}
],
"pollDurationInterval": "P3Y6M4DT12H30M5S",
"description": "<string>",
"snoozedUntil": "2023-11-07T05:31:56Z",
"query": "<string>",
"resource": {
"id": "5df33a85-2b9c-40e3-8854-760ee3b8efc7",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"type": "WEBSITE",
"configuration": {
"url": "<string>"
}
}
}
]{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}{
"description": "A descriptive error message",
"code": 1400,
"field": "name"
}Monitor
List all Monitors
GET
/
monitor
List all Monitors
Authorizations
bearerAuthcookieAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
the resource filter Unique identifier for the entity
Example:
"5df33a85-2b9c-40e3-8854-760ee3b8efc7"
Response
successful monitors retrieval
Unique identifier for the entity
Example:
"5df33a85-2b9c-40e3-8854-760ee3b8efc7"
the monitor name
the monitor type
Available options:
UP_TIME, LATENCY, LOAD_TIME, WEBSITE_TYPO, STRIPE, DOMAIN_EXPIRATION, CERT_EXPIRATION, CDN_CONFIGURATION, CLOUDFLARE_REQUESTS, CLOUDFRONT_REQUESTS, STATUS_PAGE, DATABASE_STORAGE_LIMIT, DATABASE_CPU_USAGE, DATABASE_MEMORY_USAGE state of the monitor during its lifecycle
Available options:
ACTIVE, PAUSED, SNOOZED, ERROR status of the monitor
Available options:
NO_DATA, OK, ALERT, WARN monitor priority
Available options:
NOT_DEFINED, CRITICAL, HIGH, MEDIUM, LOW, INFO the monitor recipients of the incidents/alerts notifications
Show child attributes
Show child attributes
the interval in which the monitor will be checked
Example:
"P3Y6M4DT12H30M5S"
the monitor description
until when the monitor will be in snoozed mode
the monitor query
Show child attributes
Show child attributes

